Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class AdInfo

    java.lang.Object
      com.bea.p13n.ad.AdInfo

All Implemented Interfaces:
  Serializable

public class AdInfo
extends Object
implements Serializable

This is a data structure for the information stored for about ad in an ad bucket.

See Also:
  Serialized Form

Constructor Summary
`AdInfo()` Construct an initialized AdInfo.
`AdInfo(long bucketId, String userId, String placeholder, String containerUID, String containerType, String contextUID, int weight, String query, int count)` Construct an AdInfo providing the properties.
`AdInfo(long bucketId, String userId, String placeholder, String containerUID, String containerType, String contextUID, int weight, String query, int count, Timestamp expiration)` Construct an AdInfo providing the properties.

Method Summary
`Timestamp` | `getAdExpiration()` Get the ad expiration
`long` | `getBucketId()` Get the ad bucket id
`String` | `getContainerType()` Get the container type
`String` | `getContainerUID()` Get the container name
`String` | `getContextUID()` Get the contextUID name
`int` | `getCount()` Get the view count
`String` | `getPlaceholder()` Get the placeholder name
`String` | `getQuery()` Get the query string
`String` | `getUserId()` Get the userId
`int` | `getWeight()` Get the ad weight
`void` | `setAdExpiration(Timestamp expiration)` Set the ad expiration
`void` | `setBucketId(long bucketId)` Set the ad bucket id
`void` | `setContainerType(String containerType)` Set the container type
`void` | `setContainerUID(String containerUID)` Set the container name
`void` | `setContextUID(String contextUID)` Set the contextUID name
`void` | `setCount(int count)` Set the view count
`void` | `setPlaceholder(String placeholder)` Set the placeholder name
`void` | `setQuery(String query)` Set the query string
`void` | `setUserId(String userId)` Set the userId
`void` | `setWeight(int weight)` Set the ad weight

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdInfo

    public AdInfo()

  Construct an initialized AdInfo.

### AdInfo

    public AdInfo(long bucketId,
                  String userId,
                  String placeholder,
                  String containerUID,
                  String containerType,
                  String contextUID,
                  int weight,
                  String query,
                  int count)

  Construct an AdInfo providing the properties.

### AdInfo

    public AdInfo(long bucketId,
                  String userId,
                  String placeholder,
                  String containerUID,
                  String containerType,
                  String contextUID,
                  int weight,
                  String query,
                  int count,
                  Timestamp expiration)

  Construct an AdInfo providing the properties.

Method Detail

### getAdExpiration

    public Timestamp getAdExpiration()

  Get the ad expiration

### getBucketId

    public long getBucketId()

  Get the ad bucket id

### getContainerType

    public String getContainerType()

  Get the container type

### getContainerUID

    public String getContainerUID()

  Get the container name

### getContextUID

    public String getContextUID()

  Get the contextUID name

### getCount

    public int getCount()

  Get the view count

### getPlaceholder

    public String getPlaceholder()

  Get the placeholder name

### getQuery

    public String getQuery()

  Get the query string

### getUserId

    public String getUserId()

  Get the userId

### getWeight

    public int getWeight()

  Get the ad weight

### setAdExpiration

    public void setAdExpiration(Timestamp expiration)

  Set the ad expiration

### setBucketId

    public void setBucketId(long bucketId)

  Set the ad bucket id

### setContainerType

    public void setContainerType(String containerType)

  Set the container type

### setContainerUID

    public void setContainerUID(String containerUID)

  Set the container name

### setContextUID

    public void setContextUID(String contextUID)

  Set the contextUID name

### setCount

    public void setCount(int count)

  Set the view count

### setPlaceholder

    public void setPlaceholder(String placeholder)

  Set the placeholder name

### setQuery

    public void setQuery(String query)

  Set the query string

### setUserId

    public void setUserId(String userId)

  Set the userId

### setWeight

    public void setWeight(int weight)

  Set the ad weight

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved